local u = false;
local r = 0;
local health = 0;
local xx = 500;
local yy = 300;
local xx2 = 850;
local yy2 = 400;
local ofs = 20;
local followchars = true;
local del = 0;
local del2 = 0;

function onCreate()
    -- background shit
    makeLuaSprite('base', 'bg/BaseBG', -750, -60);
    setLuaSpriteScrollFactor('base', 0.95, 0.95);

    addLuaSprite('base', false);
    
    makeAnimatedLuaSprite('static', 'bg/static', -600, -60);
    addAnimationByPrefix('static', 'idle', 'staticbg', 24, true);
    setLuaSpriteScrollFactor('static', 0.95, 0.95);

    addLuaSprite('static', false);
    scaleObject('static', 1.6, 1.6);
    setProperty("static.alpha", 0);

    -- bars shit
    makeLuaSprite('borders', 'bg/BARS', -410, 0);
    setLuaSpriteScrollFactor('borders', 0.95, 0.95);

    addLuaSprite('borders', true);

end

function onUpdate()
setProperty("gf.alpha", 0);

end

function onStepHit()
    if curStep == 513 then
        setProperty("static.alpha", 100);
    end
end